<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Users List</title>
<style>
table {
  border-collapse: collapse;
}
.col_date {width: 100px;}
.col_title {width: 500px;}
.col_create_user {width: 200px;}
</style>
</head>
<body>
<h1>住所録</h1>
<table border="1">
    <tr>
     <th class="col_create_date">作成日時</th>
        <th class="col_title">タイトル</th>
        <th class="col_create_user">作成者</th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    <tr th:each="obj : ${bbs}">
  		<td th:text="${#dates.format(obj.createDate, 'yyyy/MM/dd')}"> 
        <td th:text="${obj.title}"></td>
        <td th:text="${obj.content}"></td>
        
        <td>
            <form action="/show" method="get">
                <input type="submit" value="詳細">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
        
        <td>
            <form action="/edit" method="get">
                <input type="submit" value="編集">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
        
        <td>
            <form th:action="@{/delete}" method="post">
                <input type="submit" value="削除">
                <input type="hidden" name="id" th:value="${obj.id}">
            </form>
        </td>
    </tr>
</table>
<hr>
<form action="/add">
    <input type="submit" value="新規追加" />
</form>
<a href="loginForm">ログアウト</a>
</body>
</html>